module vs.action.visualtask;



public import vs.action.task;
public import gedo.math.vector;
public import gedo.math.direction;



public struct Position
{
	Vector current;
	Vector previous;
}



public class VisualTask : ActionTask
{
public:
	Position position;


	this()
	{
		_direction = new Direction();
	}


	Direction direction()
	{
		return _direction;
	}


	override void update()
	{
		position.previous[] = position.current[];
	}


private:
	Direction _direction;
}
